OC_ENDPOINT = 'https://odourcollect.eu/api/odor/list'

TYPE_LIST = {'1': 'Waste|Fresh waste',
             '2': 'Waste|Decomposed waste',
             '3': 'Waste|Leachate',
             '4': 'Waste|Biogas',
             '5': 'Waste|Biofilter',
             '6': 'Waste|Ammonia',
             '7': 'Waste|Amines',
             '8': 'Waste|Other',
             '9': 'Waste|I don\'t know',
             '10': 'Waste Water|Waste water',
             '11': 'Waste Water|Rotten eggs',
             '12': 'Waste Water|Sludge',
             '13': 'Waste Water|Chlorine',
             '14': 'Waste Water|Other',
             '15': 'Waste Water|I don\'t know',
             '16': 'Agriculture / Livestock|Dead animal',
             '17': 'Agriculture / Livestock|Cooked meat',
             '18': 'Agriculture / Livestock|Organic fertilizers (manure/slurry)',
             '19': 'Agriculture / Livestock|Animal feed',
             '20': 'Agriculture / Livestock|Cabbage soup',
             '21': 'Agriculture / Livestock|Rotten eggs',
             '22': 'Agriculture / Livestock|Ammonia',
             '23': 'Agriculture / Livestock|Amines',
             '24': 'Agriculture / Livestock|Other',
             '25': 'Agriculture / Livestock|I don\'t know',
             '26': 'Food Industries|Fat / Oil',
             '27': 'Food Industries|Coffee',
             '28': 'Food Industries|Cocoa',
             '29': 'Food Industries|Milk / Dairy',
             '30': 'Food Industries|Animal food',
             '31': 'Food Industries|Ammonia',
             '32': 'Food Industries|Malt / Hop',
             '33': 'Food Industries|Fish',
             '34': 'Food Industries|Bakeries',
             '35': 'Food Industries|Raw meat',
             '36': 'Food Industries|Ammines',
             '37': 'Food Industries|Cabbage soup',
             '38': 'Food Industries|Rotten eggs',
             '39': 'Food Industries|Bread / Cookies',
             '40': 'Food Industries|Alcohol',
             '41': 'Food Industries|Aroma / Flavour',
             '42': 'Food Industries|Other',
             '43': 'Food Industries|I don\'t know',
             '44': 'Industrial|Cabbage soup',
             '45': 'Industrial|Oil / Petrochemical',
             '46': 'Industrial|Gas',
             '47': 'Industrial|Asphalt / Rubber',
             '48': 'Industrial|Chemical',
             '49': 'Industrial|Ammonia',
             '50': 'Industrial|Leather',
             '51': 'Industrial|Metal',
             '52': 'Industrial|Plastic',
             '53': 'Industrial|Sulphur',
             '54': 'Industrial|Alcohol',
             '55': 'Industrial|Ketone / Ester / Acetate / Ether',
             '56': 'Industrial|Amines',
             '57': 'Industrial|Glue / Adhesive',
             '58': 'Urban|Urine',
             '59': 'Urban|Traffic',
             '60': 'Urban|Sewage',
             '61': 'Urban|Waste bin',
             '62': 'Urban|Waste truck',
             '63': 'Urban|Sweat',
             '64': 'Urban|<not used>',  # it seems odour number 64 was accidentaly ommited in original design
             '65': 'Urban|Fresh grass',
             '66': 'Urban|Humidity / Wet soil',
             '67': 'Urban|Flowers',
             '68': 'Urban|Food',
             '69': 'Urban|Chimney (burnt wood)',
             '70': 'Urban|Paint',
             '71': 'Urban|Fuel',
             '72': 'Urban|Other',
             '73': 'Urban|I don\'t know',
             '74': 'Nice|Flowers',
             '75': 'Nice|Food',
             '76': 'Nice|Bread / Cookies',
             '77': 'Nice|Fruit',
             '78': 'Nice|Fresh grass',
             '79': 'Nice|Forest / Trees / Nature',
             '80': 'Nice|Mint / Rosemary / Lavander',
             '81': 'Nice|Sea',
             '82': 'Nice|Perfume',
             '83': 'Nice|Chimney (burnt wood)',
             '84': 'Nice|Wood',
             '85': 'Nice|New book',
             '86': 'Nice|Other',
             '87': 'Nice|I don\'t know',
             '88': 'No Odour|No Odour',
             '89': 'Other|NA'
             }

CATEGORY_LIST = {'1': 'Waste related odours',
                 '2': 'Waste water related odours',
                 '3': 'Agriculture and livestock related odours',
                 '4': 'Food Industries related odours',
                 '5': 'Industry related odours',
                 '6': 'Urban odours',
                 '7': 'Nice odours',
                 '8': 'Other odours not fitting elsewhere',
                 '9': 'No odour observations (for testing, for reporting the end of an odour, etc.)'}

ANNOY_LIST = {'1': '-4|Extremely unpleasant (-4)',
              '2': '-3|Very unpleasant (-3)',
              '3': '-2|Unpleasant (-2)',
              '4': '-1|Slightly unpleasant (-1)',
              '5': '0|Neutral (0)',
              '6': '1|Slightly pleasant (1)',
              '7': '2|Pleasant (2)',
              '8': '3|Very pleasant (3)',
              '9': '4|Extremely pleasant (4)'}

INTENSITY_LIST = {'1': '0|Not perceptible (0)',
                  '2': '1|Very weak (1)',
                  '3': '2|Weak (2)',
                  '4': '3|Noticeable (3)',
                  '5': '4|Strong (4)',
                  '6': '5|Very strong (5)',
                  '7': '6|Extremely strong (6)'}

DURATION_LIST = {0: '(No odour)',
                 1: 'Punctual',
                 2: 'Continuous in the last hour',
                 3: 'Continuous throughout the day'}


""" Request sample (sent by POST method):
    {
     "type":9,
     "subtype":88,
     "minAnnoy":-4,
     "maxAnnoy":-1,
     "minIntensity":0,
     "maxIntensity":4,
     "date_init":"2000-01-01",
     "date_end":"3000-01-01"
     }
"""
